VETHER(4) | Device Drivers Manual | VETHER(4)

# NAME

`vether` —
virtual Ethernet interface

# SYNOPSIS

`pseudo-device vether`

# DESCRIPTION

The `vether` interface simulates a normal Ethernet interface by encapsulating standard network frames with an Ethernet header, specifically for use as a member in a bridge(4).

To use `vether` the administrator needs to configure an address onto the interface so that packets can be routed to it. An Ethernet header will be prepended and, if the `vether` interface is a member of a bridge(4), the frame will show up there.

# SEE ALSO

bridge(4), ifconfig(8)

# HISTORY

The `vether` interface first appeared in OpenBSD 4.7 and NetBSD 10.

# AUTHORS

Theo de Raadt <deraadt@openbsd.org>

# BUGS

Like tap(4), the Ethernet address chosen will be partially random, and may occasionally collide with another address.

October 17, 2017 | NetBSD 10.1